Discussion Forum

Kglib diagnosis example error

After a fresh install of the grakn server (1.6.1) I tried to run the kglib diagnosis example (0.2.1) on a Mac. Unfortunately I ended up with the below.

Any help with this error is appreciated.

Creating graph for example 0
[libprotobuf ERROR google/protobuf/wire_format_lite.cc:584] String field ‘session.ConceptMap.pattern’ contains invalid UTF-8 data when parsing a protocol buffer. Use the ‘bytes’ type if you intend to send raw bytes.
Traceback (most recent call last):
File “/Users/aaa/miniconda3/envs/grakn/lib/python3.7/site-packages/grakn/service/Session/TransactionService.py”, line 161, in send
response = next(self._response_iterator)
File “/Users/aaa/miniconda3/envs/grakn/lib/python3.7/site-packages/grpc/_channel.py”, line 364, in next
return self._next()
File “/Users/aaa/miniconda3/envs/grakn/lib/python3.7/site-packages/grpc/_channel.py”, line 358, in _next
raise self
grpc._channel._Rendezvous: <_Rendezvous of RPC that terminated with:
status = StatusCode.INTERNAL
details = “Exception deserializing response!”
debug_error_string = “None”

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/aaa/Projects/python-projects/grakn/src/kglib-0.2.1/kglib/kgcn/examples/diagnosis/diagnosis.py”, line 328, in
diagnosis_example()
File “/Users/aaa/Projects/python-projects/grakn/src/kglib-0.2.1/kglib/kgcn/examples/diagnosis/diagnosis.py”, line 87, in diagnosis_example
graphs = create_concept_graphs(list(range(num_graphs)), session)
File “/Users/aaa/Projects/python-projects/grakn/src/kglib-0.2.1/kglib/kgcn/examples/diagnosis/diagnosis.py”, line 138, in create_concept_graphs
graph = build_graph_from_queries(graph_query_handles, tx, infer=infer)
File “/Users/aaa/miniconda3/envs/grakn/lib/python3.7/site-packages/kglib/utils/graph/thing/queries_to_graph.py”, line 112, in build_graph_from_queries
concept_dicts = [concept_dict_from_concept_map(concept_map) for concept_map in concept_maps]
File “/Users/aaa/miniconda3/envs/grakn/lib/python3.7/site-packages/kglib/utils/graph/thing/queries_to_graph.py”, line 112, in
concept_dicts = [concept_dict_from_concept_map(concept_map) for concept_map in concept_maps]
File “/Users/aaa/miniconda3/envs/grakn/lib/python3.7/site-packages/grakn/service/Session/util/ResponseReader.py”, line 349, in next
iter_response = self._tx_service.iterate(self.iterator_id)
File “/Users/aaa/miniconda3/envs/grakn/lib/python3.7/site-packages/grakn/service/Session/TransactionService.py”, line 128, in iterate
response = self._communicator.send(request)
File “/Users/aaa/miniconda3/envs/grakn/lib/python3.7/site-packages/grakn/service/Session/TransactionService.py”, line 165, in send
raise GraknError(“Server/network error: {0}\n\n generated from request: {1}”.format(e, request))
grakn.exception.GraknError.GraknError: Server/network error: <_Rendezvous of RPC that terminated with:
status = StatusCode.INTERNAL
details = “Exception deserializing response!”
debug_error_string = “None”

generated from request: iterate_req {
id: 3
}

Did you manage to solve your problem? I am getting exactly the same error.

At the time of writing, the KGCN example in KGLIB should run with Grakn 1.6.1 and client-python 1.6.1, with python >= 3.6, please try that and report back if it doesn’t work! Thanks